Bug 812590 - Fedora 16 Live Desktop - Can't install on harddrive
Fedora 16 Live Desktop - Can't install on harddrive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
16
i386 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 04:54 EDT by Star Sixty Nine
Modified: 2013-02-21 04:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:35:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Star Sixty Nine 2012-04-15 04:54:17 EDT
I can successfully boot into Fedora 16 Live Desktop, but when I try to install it on my hard drive I get this error and the installation doesn't even start :

[root@localhost ~]# /usr/bin/python /usr/bin/anaconda-cleanup anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8

*** glibc detected *** /usr/bin/python: free(): invalid pointer: 0x0a104000 ***
*** glibc detected *** /usr/bin/python: malloc(): memory corruption: 0x0a103460 ***

This happens only when I try to install it on my SATAII drive! The install on an IDE drive works without problems.

Motherboard : AsRock G31M-GS
Disk : WD5000AZRX

I get the same problem if running the install icon or use the command "liveinst". Tried even with the "Fedora 16 Install DVD" (both 32bit and 64bit) - blank screen and computer freeze :\
Comment 1 Star Sixty Nine 2012-04-15 05:19:39 EDT
Here's the output of "liveinst" command :

[root@localhost ~]# export MALLOC_CHECK_=1
[root@localhost ~]# liveinst
*** glibc detected *** /usr/bin/python: free(): invalid pointer: 0x09602000 ***
*** glibc detected *** /usr/bin/python: malloc(): memory corruption: 0x09601c48 ***
/usr/sbin/liveinst: line 108:  2129 Segmentation fault      (core dumped) anaconda-cleanup $ANACONDA $*
localuser:root being added to access control list
07:08:55 Starting graphical installation.
Loading /lib/kbd/keymaps/i386/qwerty/us.map.gz
*** glibc detected *** /usr/bin/python: free(): invalid pointer: 0x0a4a4c08 ***
python: malloc.c:3790: _int_malloc: Assertion `(unsigned long)(size) >= (unsigned long)(nb)' failed.
[root@localhost ~]#
Comment 2 Star Sixty Nine 2012-04-15 05:31:15 EDT
Here's what I did to solve the problem :

1) booted from "Fedora 16 Live CD"
2) run "fdisk /dev/sda" and created a linux partition
3) run the liveinst command

Now everything works as it should :)
Comment 3 Thomas Spura 2013-02-21 04:35:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.